Aircraft Crash Reconstruction
-
-
I am an advanced Sketchup premium user (worth every single penny x2)who models architectural models as I am a designer, but am needing to generate a video of a plane's final flight from takeoff to crash, time 45 secs 1.07 miles straight path travel start to finish.
-
I want to model the path, show the exterior view of the planes actions, which were simple takeoff - straight path, then in final moments, power line strike, tree strike, wall impact, and final ground impact, see attachments
-
This video will be viewed by NTSB, as I am also a pilot, was supposed to be flying this with my best friend when this happened, but destiny determined otherwise. We will be using this to further explain the pilots actions.
-
Can anyone help and give me some links to:
*Best way to capture Google Earth Terrain - I have Pro for 7 day trial
Best way to model quickly 50 buildings without measuring heights in field.
Best way to animate an exterior view animation and in cockpit view animation.*
I am not interested in any effects, such as airplane ailerons, props, etc. I see this more as blocks in dynamic movement.
I know this is a monumental task, but it is necessary as he was my best friend, and I am working closely with NTSB and the FAA, and for small craft they do not go to this level. The flight took place in San Luis Obispo, CA, and I have attached his path and final moments of impact before perishing. I will need to capture the view looking to the hill of the north per the attachments as well so terrain will need to be evident.
Any help pointing me to good links on this site is appreciated.
Thanks Brian
-
-
Brian,
First, my condolences on the loss of your friend.
I was just curious about the terrain so I inserted the location into a SketchUp model. I've uploaded it for you.
You don't need the pro version of SketchUp for this. For building heights you could infer them from shadow info but I don't know if that would be accurate enough for the NTSB. I don't know what precision they require.
Do you know his rate of climb, maximum altitude or where the peak of the climb occurred? Without those it might be difficult if not impossible to reconstruct the flight path.
Your illustration shows a Mix Master. Is that what he was flying? Do you know what occurred to interrupt the flight and when that occurred?
-
Dave, could you save it back to Sketchup 8? I sent you a private message. He was flying a Cessna Skymaster 337
-
-
I am sorry for your loss. As far as animation is concerned I always found Martin Reinhardt's book Edges to Rubies pretty informing. Among other insights is the fact that the base unit of sketchup is the inch which means that an airspeed of 68 mph = 1200 inches per second = 50 inches per frame ( if you are using 24fps) By Applying a name to each group or component instance you plan on animating simple and even complex animations can be achieved using the Ruby API with commands like:
t1=Geom::Transformation.new([-15,10,0]) #causes tran -15 inches in the x and 10 in the y direction
t2=Geom::Transformation.new([0,0,5]) #this will cause something to translate 5 units in the z direction
entities.transform_entities(t1,e) # apply to first translation to a group defined by e
entities.transform_entities(t2,e) #apply the second translation to a group defined by eThings like changes in pitch roll and yaw can be similarly achieved. Once you have the flight path all figured out the views are just achieved by controlling a camera by keeping track of where it is and where it is pointed based on the flight path. Having a webconsole will help tremendously in this but I think there may be one packaged with Sketchup 2013. Happy to help if you need it.
Some full code as an example is given there
model = Sketchup.active_model entities = model.entities selection = model.selection view=model.active_view t1=Geom;;Transformation.new([-15,10,0]) t2=Geom;;Transformation.new([0,0,5]) for i in 1..600 do entities.each{|e| if e.name=="plane" entities.transform_entities(t1,e) newview=view.refresh end } end for i in 1..600 do entities.each{|e| if e.name=="plane" entities.transform_entities(t1,e) entities.transform_entities(t2,e) newview=view.refresh end } end
-
Hello Brian,
First, my condolences on the loss of your friend.
We did something similar to your problem with SAT (SimFonIA animation Tool). The fly datas were from Flight-simulator.
Regards,
SimFonIA teal
Advertisement